this.name					= "retroRockets.js";
this.author					= "Thargoid";
this.copyright				= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description			= "Script for retro rocket equipment";
this.version				= "1.00";

this.activated = function()
	{	
	if(!this.clockTime) {this.clockTime = -30;}
	
	if(player.ship.equipmentStatus("EQ_RETROROCKETS") !== "EQUIPMENT_OK" || player.ship.docked) {return;}
	
	if(player.ship.withinStationAegis)
		{
		player.consoleMessage("Retro rocket interlock - within station aegis.", 4);
		return;
		}
		
	if(player.ship.speed > player.ship.maxSpeed)
		{
		player.consoleMessage("Retro rocket interlock - speed is too high.", 4);
		return;
		}	
		
	if(player.ship.fuel < 1)
		{
		player.consoleMessage("Retro rocket interlock - insufficient fuel.", 4);
		return;
		}	
	
	if(clock.absoluteSeconds - this.clockTime < 30)
		{
		player.consoleMessage("Retro rocket interlock - rockets cooling.", 4);
		return;
		}		
	
	player.ship.fuel -= 1.0;
	player.ship.velocity = player.ship.velocity.subtract(player.ship.vectorForward.multiply(player.ship.maxSpeed*3));
	player.consoleMessage("Retro rockets activated.", 3);
	this.clockTime = clock.absoluteSeconds;
	}